> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatis.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Find all

> Finds all webhook endpoints of the current user.



## OpenAPI

````yaml get /notification-service/api/v1/webhook-endpoints
openapi: 3.0.1
info:
  title: Vatis Stream Service
  description: Vatis Stream Service API
  version: '1.0'
servers:
  - url: https://notification-service.vatis.tech
    description: Default server
security: []
paths:
  /notification-service/api/v1/webhook-endpoints:
    get:
      tags:
        - webhook-endpoint-resource-impl
      summary: Find all
      description: Finds all webhook endpoints of the current user.
      operationId: findAll
      responses:
        '200':
          description: Operation succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookEndpointDto'
        '400':
          description: Webhook endpoints limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerToken: []
components:
  schemas:
    WebhookEndpointDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        events:
          type: array
          items:
            type: string
        enabled:
          type: boolean
        description:
          type: string
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
        title:
          type: string
        message:
          type: string
        internalErrorName:
          type: string
        nestedErrors:
          type: array
          items:
            type: object
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````